
package com.ejie.ad74a.ws.client.platea.expedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TReviewStatus.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TReviewStatus"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="sent"/&gt;
 *     &lt;enumeration value="modified"/&gt;
 *     &lt;enumeration value="reviewed"/&gt;
 *     &lt;enumeration value="suspension"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TReviewStatus")
@XmlEnum
public enum TReviewStatus {

    @XmlEnumValue("sent")
    SENT("sent"),
    @XmlEnumValue("modified")
    MODIFIED("modified"),
    @XmlEnumValue("reviewed")
    REVIEWED("reviewed"),
    @XmlEnumValue("suspension")
    SUSPENSION("suspension");
    private final String value;

    TReviewStatus(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TReviewStatus fromValue(String v) {
        for (TReviewStatus c: TReviewStatus.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
